<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<style>
    .edge .layui-edge {
        right: 20px;
    }
</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">卡贴</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="卡贴">
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <input type="radio" lay-filter="kind" name="kind" value="300克铜版纸" title="300克铜版纸" checked/>
            </div>
            <p>
                尺寸(CM/厘米)
            </p>
            <input type="text" name="size" placeholder="格式:长*宽" id="size" class="layui-input" autocomplete="off">
            <p>
                数量（张） <input type="checkbox" name="switchCount" lay-filter="switchCount" title="自定义数量"></span>
            </p>
            <div class="count">
                <div class="layui-form-item">
                    <select name="count" class="select">
                        <option value="200">200</option>
                        <option value="500">500</option>
                        <option value="1000">1000</option>
                        <option value="2000">2000</option>
                        <option value="3000">3000</option>
                        <option value="5000">5000</option>
                        <option value="10000">10000</option>
                    </select>
                </div>
            </div>
            <div class="diyCount" style="display: none">
                <div class="layui-form-item">
                    <input type="text" name="count" id="count" placeholder="请输入整数" class="layui-input"
                           autocomplete="off">
                </div>
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>工艺</p>
            <div class="layui-input-block" style="display:inline-block;">
                <input type="checkbox" class="craft_fm" name="craft" lay-filter="switch" value="双面覆哑膜" title="双面覆哑膜"
                       checked>
                <input type="checkbox" name="craft" lay-filter="switchMQ" value="模切" title="异形模切">
                <input type="checkbox" name="craft" lay-filter="switchMQ" value="裁切" title="裁切" checked>
                <input type="radio" name="craftSMJ" value="配双面胶" title="配双面胶" checked>
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn" id="queryCondBtn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <h2>下单备注-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">
                    点击复制
                </button>
            </h2>
            <div>
                <textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;
        let remark_html = ''

        // 监听回车键，如果敲了回车，调用点击‘计算’
        $(document).keydown(function (e) {
            if (e.keyCode === 13) {
                $("#queryCondBtn").trigger("click");
            }
        });
        //建造实例
        ins = carousel.render({});
        var html = " ";
        var remark = " ";
        // 清空轮播图
        $("#carousel").empty();
        $("#remark").empty();
        $.ajax({
            url: "${pageContext.request.contextPath}/getImgs",
            type: "GET",
            data: {
                proTypeValue: $('input[name="kind"]:checked').val()
            },
            //dataType : "json",
            success: function (result) {
                for (let i = 0; i < result.length; i++) {
                    // 只留一个remark
                    remark = "";
                    html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                    remark += '<div><span>' + result[i].remark + '<span/></div>';
                }
                $("#carousel").append(html);
                // 如果没有说明，就不显示null
                if (remark.indexOf("null") < 0) {
                    remark_html = remark;
                    $("#remark").append(remark);
                }
                // 如果没有轮播图就隐藏
                if (result.length == 0) {
                    document.getElementById("test1").style.display = "none";   //隐藏
                } else {
                    document.getElementById("test1").style.display = "block";   //显示
                    ins.reload({
                        elem: '#test1',
                        width: result[0].imgWidth,  //设置容器宽度
                        height: result[0].imgHeight
                    });
                }
            }
        });

        function setRemark() {
            let craft_list = [];
            $("input[name='craft']:checked").each(function () {
                    craft_list.push($(this).val());
                }
            );
            $("#remark").empty();
            let html = '';

            if (craft_list.indexOf('模切') == -1) {
                html = remark_html
            } else {
                html = '预计发货时间：<br>广东：模切（3-4天发货）中通 顺丰'
            }

            $("#remark").append('<div><span>' + html + '<span/></div>');

        }

        form.on('checkbox(switchMQ)', (data) => {
            let craft = $("input[name='craft']:checked");
            if (craft.length > 2) {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('裁切-模切只能选[ 1 ]项！', {
                    offset: ['300px', '300px']
                }, {icon: 5});
                return false;
            }

            setRemark();
        })
        form.on('checkbox(switch)', (data) => {
            if (!data.elem.checked) {
                layer.msg('不能取消 [覆膜] 工艺！', {offset: ['300px', '300px']}, function () {
                });
                $('.craft_fm').prop('checked', true);
                form.render('checkbox');
                return false;
            }
            setRemark();
        })

        // 自定义数量
        form.on('checkbox(switchCount)', function (data) {
            if (data.elem.checked) {
                $(".diyCount").show();
                $(".count").hide();
                $(".diyCount").find(":input").attr("disabled", false);
                $(".count").find(":input").attr("disabled", true);
            } else {
                $(".count").show();
                $(".diyCount").hide();
                $(".count").find(":input").attr("disabled", false);
                $(".diyCount").find(":input").attr("disabled", true);
                // 恢复标准数量的时候会被禁用，加这个解决
                form.render();
            }
        })

        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            let kindValue = $('input[name="kindValue"]:checked').val();
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });

            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            // 选中‘自定义数量’
            if ($('input[name="switchCount"]:checked').length != 0) {
                if ($("#count").val() < 10000 || $("#count").val() % 1000 != 0) {
                    layer.msg("自定义数量需要大于10000 且是1000的整数倍", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }
            var number = $("#number").val();
            var count = $("select[name='count'] option:selected").text();
            var arr = []
            $("input:checkbox[name='craft']:checked").each(function (i) {
                if (!$(this).is(':disabled')) {
                    if ($(this).val() == "抠图") {
                        arr.push($(this).val() + $("input[name='cropNumber']").val());
                        return;
                    }
                    arr.push($(this).val());
                }
            });
            if (arr.indexOf("模切") == -1 && arr.indexOf("裁切") == -1) {
                layer.msg("模切-裁切必须选一个", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;
                    var span_result = '卡贴 - 300克铜版纸 - 配双面胶 -(同款内容)\n';
                    if (arr.length > 0) {
                        span_result += "工艺：" + arr.join(",") + '\n';
                    }
                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                        if(window.parent.system_isGai){
                            span_result +="\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                        }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>